@import url(../font-awesome.css);
@import url(../common.css);
@import url(../mCustomScrollbar.css);
/* Needed for a fluid height: */
html, body, .container { height: 100%;}

.container {
	max-width: 1024px;
    margin: 0 auto;
    width: 100%;
}

.main {
	height: calc(100% - 120px);
}
/* main wrapper */
.cbp-contentslider {
	width: 100%;
	height: 100%;
	margin: 0   auto;
	position: relative;
	border: 4px solid #003366
}

.cbp-contentslider > .cbpListContainer {
	list-style: none;
	height: 100%;
	width: 100%;
	overflow: hidden;
	position: relative;
	padding: 0;
	margin: 0;
}

.cbp-contentslider > .cbpListContainer .cbpList {
	position: absolute;
	width: 100%;
	 height: 100%; 
	left: 0;
	top: 0;
	padding: 1em;
	background: #fff;
}

/* Whithout JS, we use :target */
.cbp-contentslider > .cbpListContainer .cbpList:target {
	z-index: 100;
}

.cbp-contentslider nav {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	height: 3.313rem;
	z-index: 1000;
	border-top: 4px solid #003366;
	overflow: hidden;
}

.cbp-contentslider nav a {
	float: left;
	width: 20%;
	height: 100%;
	font-weight: 400;
	letter-spacing: 0.1rem;
	overflow: hidden;
	color: #242374;
	background: #fff;
	outline: none;
	text-align: center;
	line-height: 3;
	position: relative;
	text-transform: uppercase;
	border-right: 4px solid #003366;
	-webkit-transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out;
	-moz-transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out;
	transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out;
}

.cbp-contentslider nav a span {
	display: table-cell;
	text-align: left;
}

.cbp-contentslider nav a:last-child {
	border: none;
	box-shadow: 1px 0 #003366; /* fills gap caused by rounding */
}

.cbp-contentslider nav a:hover {
	background-color: #003366;
	color: #fff;
}

.cbp-contentslider nav a.rc-active {
	background-color: #003366;
	color: #fff;
}

/* Iconfont for navigation and headings */
.cbp-contentslider [class^="icon-"] > span.iconBlock, 
.cbp-contentslider [class*=" icon-"] > span.iconBlock {
	font-family: 'FontAwesome';
	font-style: normal;
	text-align: center;
	speak: none;
	font-weight: normal;
	line-height: 50px;
	font-size: 2rem;
	float: left;
	padding-left: 5px;
	height: 46px;
	width: 46px;
	-webkit-font-smoothing: antialiased;
}
.cbp-contentslider h3[class^="icon-"] > span.iconBlock, 
.cbp-contentslider h3[class*=" icon-"] > span.iconBlock {
	font-size: 55px;
}

.cbp-contentslider .icon-about span.iconBlock:before {
	content: "\f2bc";
}

.cbp-contentslider .icon-skills span.iconBlock:before {
	content: "\f080";
}

.cbp-contentslider .icon-experience span.iconBlock:before {
	content: "\f192";
}

.cbp-contentslider .icon-education span.iconBlock:before {
	content: "\f19d";
}

.cbp-contentslider .icon-more span.iconBlock:before {
	content: "\f2e0";
}

.cbp-contentslider [class^="icon-"].rc-active span.iconBlock:before, 
.cbp-contentslider [class*=" icon-"].rc-active span.iconBlock:before,
.cbp-contentslider nav a:hover span.iconBlock:before {
	color: #fff;
}

.cbp-contentslider h3 {
	font-size: 48px;
    font-weight: 300;
    margin: 0;
    position: relative;
    color: #242374;
    text-transform: uppercase;
    text-align: right;
    letter-spacing: 0.3rem;
    padding: 0 0 10px;
    border-bottom: 4px solid #003366;
}

.cbp-contentslider h3[class^="icon-"] span.iconBlock:before, 
.cbp-contentslider h3[class*=" icon-"] span.iconBlock:before {
	top: 0;
	left: 0;
	width: 2rem;
	line-height: 1;
	height: 1.2rem;
	margin: 0;
	color: #242374;
}

.cbp-contentslider .cbpList > div {
	/*position: absolute;
	top: 9rem;
	bottom: 3.313rem;*/
	width: 100%;
	/*left: 0;*/
	/*padding: 0 1rem;*/
	height: calc(100% - 112px);
	overflow-x: hidden;
	overflow-y: auto;
}
.cbp-contentslider .cbp-content {
	padding: 1rem 0;
}

.cbp-contentslider p {
	color: #242374;
	padding: 0 0.5rem 0.4rem;
	margin: 0;
	font-size: 1.2rem;
	font-weight: 300;
	text-align: justify;
	line-height: 1.6;
}


/* Download Block */
.downloadBlock {
  padding: 20px;
  background: rgba(0, 51, 102,0.1);
  border-top: 1px solid #003366;
  border-bottom: 1px solid #003366;
}

.downloadBlock li {
  margin-bottom: 8px;
}

.downloadBlock li label {
  font-weight: bold;
}

.downloadBlock li a {
  text-decoration: underline;
  color: #003366;
}

.listContent {
  margin-bottom: 16px;
}

.iconInfoBlock a {
  color: #003366;
  text-decoration: underline;
}

.iconInfoBlock .iconBlock {
  display: inline-block;
  vertical-align: top;
  width: 24px;
}

.iconInfoBlock .iconBlock i {
  font-size: 24px;
}

.iconInfoBlock .infoBlock {
  display: inline-block;
  vertical-align: top;
  width: calc(100% - 50px);
  padding-left: 4px;
}

.iconInfoBlock label {
  font-weight: bold;
}

.iconInfoBlock h5 {
  font-size: 11px;
  font-style: italic;
  margin: 0;
  color: #A08585;
}

.block {
  margin-bottom: 32px;
}

.block ul {
  margin-top: 8px;
}

.block .title {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 16px;
  border-bottom: 1px solid #2B3F04;
  padding-bottom: 8px;
}

/* Profile block */
.personalBlock .mobileBlock, .personalBlock .emailBlock, .personalBlock .webBlock {
  display: inline-block;
}

.personalBlock .mobileBlock {
  width: 150px;
}

.personalBlock .webBlock {
  width: 180px;
}

.personalBlock .emailBlock {
  width: 205px;
}

/* Social Block */

.socialBlock .listContent, .otherBlock .listContent {
  width: 24%;
  display: inline-block;
  white-space: nowrap;
}

.hobbies a {
  text-decoration: underline;
  color: #003366;
}

/* Experience Block */
.experience li {
  border-bottom: 1px dotted #003366;
  padding-bottom: 8px;
}
.experience li:last-child {
  padding-bottom: 0;
  border-bottom: 0;
}
.experience h4 {
  font-size: 14px;
  padding-bottom: 8px;
}
.experience h5 {
  font-size: 12px;
  margin-bottom: 4px;
}
.experience p {
  font-size: 12px;
  line-height: 16px;
  margin-bottom: 8px;
}
.experience .workProcess {
  margin-top: 8px;
}

.mobilegraph1, .mobilegraph2, .mobilegraph3 {
	margin-bottom: 16px;
}

/* Media queries */

@media screen and (max-width: 70em) { 
	.cbp-contentslider p {
		font-size: 100%;
	}
}

@media screen and (max-width: 1023px) {

	.cbp-contentslider { font-size: 85%; }

	.cbp-contentslider nav a[class^="icon-"] span.iconBlock:before, 
	.cbp-contentslider nav a[class*=" icon-"] span.iconBlock:before {
		left: 50%;
	}

	.cbp-contentslider nav a span {
		display: none;
	}

	.cbp-contentslider nav a span.iconBlock {
		display: block;
	    margin: 0 auto;
	    position: absolute;
	    left: 50%;
	    margin-left: -23px;
	}
}

@media screen and (max-width: 767px) {

	.cbp-contentslider h3 {
		font-size: 2rem;
	}

	.cbp-contentslider h3[class^="icon-"] > span.iconBlock, .cbp-contentslider h3[class*=" icon-"] > span.iconBlock {
		display: none;
	}


	.moreBlock {
    	padding-bottom: 100px;
	}

	.downloadBlock li strong, .personalBlock li.listContent, .socialBlock li.listContent, .otherBlock li.listContent {
		display: block;
	}

	.downloadBlock li {
		margin-bottom: 10px;
	}

}

@media screen and (max-width: 25rem) { 
	.cbp-contentslider nav a { padding: 0;}
	.cbp-contentslider h3[class^="icon-"] span.iconBlock:before, 
	.cbp-contentslider h3[class*=" icon-"] span.iconBlock:before { display: none;}
}
